/*-------------------------------------------------------------
 *    The GMTPLUS-system:	@(#)master_index.h	1.2	9/12/95
 *
 *------------------------------------------------------------*/ 
/*
 * Global constants needed for the gmtplus program.
 *
 * GMTPlus 03/10/95 jcm
 */

#ifndef GMT_MASTER
#define GMT_MASTER

#define TSEC 0
#define LAT 1
#define LON 2
#define GRAW 3
#define TWTT 6
#define TCORR 7
#define GFAA 8
#define MTOT 9
#define MANM 10
#define MFILT 11
#define BAD_FLAG 13

#define DISTANCE 14
#define HEADING 15
#define VELOCITY 16
#define WEIGHT 17
#define CRUISELEG_ID 18

#define UL0 20
#define UL1 21
#define UL2 22
#define UL3 23
#define UL4 24
#define UL5 25
#define US0 26
#define US1 27
#define US2 28
#define US3 29
#define US4 30
#define US5 31
#define US6 32
#define US7 33

#define MAX_TYPES 34

static char *gmt_column_name[] = {
	"tsec",
	"lat",
	"lon",
	"graw",
	"not_assigned",
	"not_assigned",
	"twtt",
	"tcor",
	"gfaa",
	"mtot",
	"manm",
	"mflt",
	"not_assigned",
	"bad_flag",
	"distance",
	"heading",
	"velocity",
	"weight",
	"not_assigned",
	"not_assigned",
	"ul[0]",
	"ul[1]",
	"ul[2]",
	"ul[3]",
	"ul[4]",
	"ul[5]",
	"us[0]",
	"us[1]",
	"us[2]",
	"us[3]",
	"us[4]",
	"us[5]",
	"us[6]",
	"us[7]",
	"invalid"
};


#endif
